> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get 403b calculator configuration

> Returns the 403b calculator model or field definitions for modeling retirement contribution paychecks



## OpenAPI

````yaml /cbs/api-reference/cbs-api.yaml get /calculators/403b
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: CBS API Documentation for Calculators by Symmetry
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: CBS API
  version: 1.201.1
servers:
  - url: https://calculators.symmetry.com/api
security: []
tags:
  - description: List of available paycheck calculators
    name: Calculators
  - description: Salary-based paycheck calculations
    name: Salary Calculator
  - description: Hourly-based paycheck calculations
    name: Hourly Calculator
  - description: Reverse paycheck calculations
    name: Grossup Calculator
  - description: 401k retirement contribution calculations
    name: 401k Calculator
  - description: 403b retirement contribution calculations
    name: 403b Calculator
  - description: Final paycheck calculations
    name: Final Pay Calculator
  - description: Stock option exercise income calculations
    name: Stock Option Calculator
  - description: Tuition reimbursement calculations
    name: Tuition Calculator
  - description: Hourly with tips calculations
    name: Tax Tip Calculator
  - description: Flat bonus calculations
    name: Flat Bonus Calculator
  - description: Aggregate bonus calculations
    name: Aggregate Bonus Calculator
  - description: Batch processing and API data objects
    name: Data
  - description: Deduction configuration
    name: Deductions
  - description: PDF report generation
    name: Print
  - description: State-specific tax parameters
    name: State Parameters
  - description: API documentation
    name: Documentation
  - description: Postman collection and environment
    name: Postman
paths:
  /calculators/403b:
    get:
      tags:
        - 403b Calculator
      summary: Get 403b calculator configuration
      description: >-
        Returns the 403b calculator model or field definitions for modeling
        retirement contribution paychecks
      operationId: getCalculator_9
      parameters:
        - description: Two letter state abbreviation
          example: AZ
          in: query
          name: state
          required: false
          schema:
            type: string
        - description: 'Response format: model, fields, or schema'
          example: model
          in: query
          name: format
          required: false
          schema:
            enum:
              - fields
              - model
              - schema
            type: string
        - description: Include print object
          example: false
          in: query
          name: print
          required: false
          schema:
            default: false
            type: boolean
        - description: Include otherIncome object
          example: false
          in: query
          name: imputed
          required: false
          schema:
            default: false
            type: boolean
      responses:
        '200':
          content:
            application/json:
              examples:
                403b Calculator Model:
                  description: 403b Calculator Model
                  summary: 403b calculator configuration for Arizona
                  value:
                    _links:
                      calculate:
                        href: >-
                          https://calculators.symmetry.com/api/calculators/403b?report=&showcalc=false&itd=false
                      self:
                        href: >-
                          https://calculators.symmetry.com/api/calculators/403b?state=Arizona&format=model&print=false&imputed=false
                    content:
                      additionalFederalWithholding: 0
                      checkDate: '2025-11-18T15:53:40.437+00:00'
                      contributionLimit: 0
                      deductions2020: 0
                      dependents2020: 0
                      employeeContribution: 0
                      employeeContributionType: PERCENT_OF_GROSS
                      employerContribution: 0
                      employerContributionType: PERCENT_OF_GROSS
                      exemptFederal: false
                      exemptFica: false
                      exemptMedicare: false
                      federalAllowances: 0
                      federalFilingStatusType: SINGLE
                      federalFilingStatusType2020: SINGLE
                      grossPay: 0
                      grossPayType: ANNUALLY
                      grossPayYTD: 0
                      olderThan50: false
                      otherIncome: null
                      otherIncome2020: 0
                      payFrequency: WEEKLY
                      presetDeductions: null
                      presetImputed: null
                      print: null
                      roundFederalWithholding: false
                      state: AZ
                      stateInfo:
                        parms:
                          - name: PERCENTSTATE
                            value: '2.0'
                          - name: stateExemption
                            value: false
                          - name: additionalStateWithholding
                            value: '0'
                      twoJobs2020: false
                      voluntaryDeductions:
                        - benefitType: _Custom
                          deductionAmount: 0
                          deductionMethodType: PERCENT_OF_GROSS
                          deductionName: ''
                          exemptFederal: false
                          exemptFica: false
                          exemptLocal: false
                          exemptState: false
                          ytdAmount: 0
                      w42020: false
          description: Success
        '400':
          content:
            application/json:
              example:
                content: Invalid request parameter state=badstate
          description: Bad Request (invalid parameter)
        '401':
          content:
            application/json:
              example:
                message: No api key found
          description: No API key
        '403':
          content:
            application/json:
              example:
                message: Invalid api key
          description: Invalid API key
        '404':
          content:
            application/json:
              example:
                error: Not Found
                path: /api/calculators/403b/badpath
                status: 404
                timestamp: 1641573466465
          description: Not Found
        '405':
          content:
            application/json:
              example:
                error: Method Not Allowed
                path: /api/calculators/403b
                status: 405
                timestamp: 1641572607838
          description: Method Not Allowed
        '422':
          content: {}
          description: Unprocessable Entity
        '500':
          description: Internal Server Error
      security:
        - pcc-api-key: []
components:
  securitySchemes:
    pcc-api-key:
      description: API key for CBS API authentication
      in: header
      name: pcc-api-key
      type: apiKey

````